## GtkSpinner

GtkSpinner — Show a spinner animation

## Functions

GtkWidget * | gtk_spinner_new ()
void | gtk_spinner_start ()
void | gtk_spinner_stop ()

## Properties

gboolean | active | Read / Write

## Types and Values

struct | GtkSpinner

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkSpinner

## Implemented Interfaces

GtkSpinner implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

A GtkSpinner widget displays an icon-size spinning animation. It is often used as an alternative to a GtkProgressBar for displaying indefinite activity, instead of actual progress.

To start the animation, use `gtk_spinner_start()`, to stop it use `gtk_spinner_stop()`.

## Functions

### gtk_spinner_new ()

    GtkWidget *
    gtk_spinner_new (void);

Returns a new spinner widget. Not yet started.

#### Returns

a new GtkSpinner

Since 2.20

### gtk_spinner_start ()

    void
    gtk_spinner_start (GtkSpinner *spinner);

Starts the animation of the spinner.

#### Parameters

spinner | a GtkSpinner |

Since 2.20

### gtk_spinner_stop ()

    void
    gtk_spinner_stop (GtkSpinner *spinner);

Stops the animation of the spinner.

#### Parameters

spinner | a GtkSpinner |

Since 2.20

## Types and Values

### struct GtkSpinner

    struct GtkSpinner;

## Property Details

### The `“active”` property

      “active”                   gboolean

Whether the spinner is active.

Flags: Read / Write

Default value: FALSE

## See Also

GtkCellRendererSpinner, GtkProgressBar